@echo off
del "%~dp0heureka-troubleshoot-output.txt"
del "%~dp0heureka-log.log"

echo Hostname is: >> "%~dp0heureka-troubleshoot-output.txt"
hostname >> "%~dp0heureka-troubleshoot-output.txt"

echo Looking for Indexing service: >> "%~dp0heureka-troubleshoot-output.txt"
sc queryex type= service state= all | find /i "Indexing Service" >> "%~dp0heureka-troubleshoot-output.txt"

echo Checking if Indexing service is running: >> "%~dp0heureka-troubleshoot-output.txt"
net start | find /i "Indexing Service" >> "%~dp0heureka-troubleshoot-output.txt"

echo Looking for Heureka* services: >> "%~dp0heureka-troubleshoot-output.txt"
sc queryex type= service state= all | find /i "Heureka*" >> "%~dp0heureka-troubleshoot-output.txt"

echo Checking if Heureka* service is running: >> "%~dp0heureka-troubleshoot-output.txt"
net start | find /i "Heureka*" >> "%~dp0heureka-troubleshoot-output.txt"

echo Looking for HeurekaAgentDirectory >> "%~dp0heureka-troubleshoot-output.txt"
dir "%programfiles(x86)%\HeurekaAgent" >> "%~dp0heureka-troubleshoot-output.txt"

echo Looking for log file
if exist "%programfiles(x86)%\HeurekaAgent\svc\log\wrapper.log" (
  echo log file found >> "%~dp0heureka-troubleshoot-output.txt"
  copy "%programfiles(x86)%\HeurekaAgent\svc\log\wrapper.log" "%~dp0heureka-log.log"
) else (
  echo log file not found >> "%~dp0heureka-troubleshoot-output.txt"
)

echo Testing internet connectivity >> "%~dp0heureka-troubleshoot-output.txt"
ping /n 10 www.google.com >> "%~dp0heureka-troubleshoot-output.txt"
